% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/BoundingCovariateEffects.R
\name{EI}
\alias{EI}
\title{Expected improvement}
\usage{
EI(theta, test.fun, fit.krige, theta.hash, dir)
}
\arguments{
\item{theta}{Vector of coefficients.}

\item{test.fun}{Test function (cf. \code{EstimationAlgorithmBei.R}).}

\item{fit.krige}{Fitted Kriging model.}

\item{theta.hash}{Tentative optimal value for theta, i.e., the largest or
smallest feasible value for theta (if dir = 1 or dir = -1, respectively). A
'feasible value' is one that satisfies all moment restrictions.}

\item{dir}{Search direction. \code{dir = 1} corresponds to looking for an
upper bound. \code{dir = -1} corresponds to looking for a lower bound.}
}
\value{
The expected improvement.
}
\description{
Used in the M-step (M_step.R). Note: predict(fit.krige, ...)
has weird beheviour when making predictions for a single value in terms of
standard error. We work around this issue in this implementation.
}
