% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/BoundingCovariateEffects.R
\name{draw.sv.init}
\alias{draw.sv.init}
\title{Draw initial set of starting values for optimizing the expected
improvement.}
\usage{
draw.sv.init(theta.hash, dir, hyperparams, EI.fun)
}
\arguments{
\item{theta.hash}{Tentative optimal value for theta, i.e., the largest or
smallest feasible value for theta (if dir = 1 or dir = -1, respectively). A
'feasible value' is one that satisfies all moment restrictions.}

\item{dir}{Search direction. \code{dir = 1} corresponds to looking for an
upper bound. \code{dir = -1} corresponds to looking for a lower bound.}

\item{hyperparams}{List of hyperparameters.}

\item{EI.fun}{Function used to compute the expected improvement. See also
\code{EI}.}
}
\value{
Initial set of starting values.
}
\description{
Used in the M-step (get.starting.values.R). ToDo: Adapt this
code so as to also perform sample space contractions as in the MatLab
implementation of Bei (2024).
}
\references{
Bei, X. (2024). Local linearieation based subvector inference in
moment inequality models. Journal of Econometrics. 238:105549-
}
