% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/BoundingCovariateEffects.R
\name{get.next.point}
\alias{get.next.point}
\title{Obtain next point for feasible point search.}
\usage{
get.next.point(evaluations, lb.theta, ub.theta)
}
\arguments{
\item{evaluations}{Matrix of evaluations performed so far.}

\item{lb.theta}{Lower bound on the parameter of interest.}

\item{ub.theta}{Upper bound on the parameter of interest.}
}
\value{
Next point in the feasible point search.
}
\description{
Function to obtain the next point to evaluate in the search for a feasible
point. This function evaluates the entire parameter space of the component of
theta as evenly as possible. Used in the initialization step
(feasible_point_search.R)
}
