% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/BoundingCovariateEffects.R
\name{get.starting.values}
\alias{get.starting.values}
\title{Main function for obtaining the starting values of the expected
improvement maximization step.}
\usage{
get.starting.values(theta.hash, dir, EI.Mstep, hyperparams)
}
\arguments{
\item{theta.hash}{Tentative optimal value for theta, i.e., the largest or
smallest feasible value for theta (if dir = 1 or dir = -1, respectively). A
'feasible value' is one that satisfies all moment restrictions.}

\item{dir}{Search direction. \code{dir = 1} corresponds to looking for an
upper bound. \code{dir = -1} corresponds to looking for a lower bound.}

\item{EI.Mstep}{Function to compute expected improvements.}

\item{hyperparams}{List of hyperparameters.}
}
\value{
Vector of starting values
}
\description{
Obtain starting values used in the M-step (M_step.R).
}
