% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/BoundingCovariateEffects.R
\name{lf.ts}
\alias{lf.ts}
\title{'Loss function' of the test statistic.}
\usage{
lf.ts(beta.sub, data, t, hp, c, r, inst.func.evals = NULL)
}
\arguments{
\item{beta.sub}{Subvector of coefficient vector.}

\item{data}{Data frame.}

\item{t}{Time point of interest. Also allowed to
be a vector of time points (used in estimating the model under assumed time-
independent coefficients).}

\item{hp}{List of hyperparameters.}

\item{c}{Unit vector containing unity at the location of the parameter of
interest.}

\item{r}{Value of the parameter of interest that is tested.}

\item{inst.func.evals}{Pre-computed matrix of insturmental function
evaluations. If not supplied, it will be computed during execution of this
function.}
}
\value{
S-functions evaluation for the specified parameter vector.
}
\description{
This function implements the loss function used in computing
the test statistic.
}
